Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class CertifiedRolesListType

    java.lang.Object
      org.etsi.uri._01903.v1_3.CertifiedRolesListType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:13+02:00",
               comments="JAXB RI v2.2.6")
    public class CertifiedRolesListType

extends Object
implements Serializable

Java class for CertifiedRolesListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertifiedRolesListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CertifiedRole" type="{http://uri.etsi.org/01903/v1.3.2#}EncapsulatedPKIDataType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CertifiedRolesListType()`

Method Summary
`List<EncapsulatedPKIData>` | `getCertifiedRoles()` Gets the value of the certifiedRoles property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertifiedRolesListType

    public CertifiedRolesListType()

Method Detail

### getCertifiedRoles

    public List<EncapsulatedPKIData> getCertifiedRoles()

  Gets the value of the certifiedRoles property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the certifiedRoles property.

  For example, to add a new item, do as follows:

          getCertifiedRoles().add(newItem);

  Objects of the following type(s) are allowed in the list `EncapsulatedPKIData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.